/* ============================================
   DONATION.CSS — Merged from:
   grid.css, default.css, styles.css, payment.css, stripe.css
   ============================================ */

/* --- Grid System (grid.css) --- */

.container {
    width: 90%;
    margin-left: auto;
    margin-right: auto;
}

.row {
    position: relative;
    width: 100%;
}

.row [class^="col"] {
    float: left;
    margin: 0.5rem 2%;
    min-height: 0.125rem;
}

.col-1,
.col-2,
.col-3,
.col-4,
.col-5,
.col-6,
.col-7,
.col-8,
.col-9,
.col-10,
.col-11,
.col-12 {
    width: 96%;
}

.col-1-sm {
    width: 4.33%;
}

.col-2-sm {
    width: 12.66%;
}

.col-3-sm {
    width: 21%;
}

.col-4-sm {
    width: 29.33%;
}

.col-5-sm {
    width: 37.66%;
}

.col-6-sm {
    width: 46%;
}

.col-7-sm {
    width: 54.33%;
}

.col-8-sm {
    width: 62.66%;
}

.col-9-sm {
    width: 71%;
}

.col-10-sm {
    width: 79.33%;
}

.col-11-sm {
    width: 87.66%;
}

.col-12-sm {
    width: 96%;
}

.row::after {
    content: "";
    display: table;
    clear: both;
}

.hidden-sm {
    display: none;
}

@media only screen and (min-width: 540px) {
    .container {
        width: 80%;
    }
}

@media only screen and (min-width: 720px) {
    .col-1 {
        width: 4.33%;
    }

    .col-2 {
        width: 12.66%;
    }

    .col-3 {
        width: 21%;
    }

    .col-4 {
        width: 29.33%;
    }

    .col-5 {
        width: 37.66%;
    }

    .col-6 {
        width: 46%;
    }

    .col-7 {
        width: 54.33%;
    }

    .col-8 {
        width: 62.66%;
    }

    .col-9 {
        width: 71%;
    }

    .col-10 {
        width: 79.33%;
    }

    .col-11 {
        width: 87.66%;
    }

    .col-12 {
        width: 96%;
    }

    .hidden-sm {
        display: block;
    }
}

@media only screen and (min-width: 960px) {
    .container {
        width: 75%;
        max-width: 960px;
    }
}

@media only screen and (min-width: 1200px) {
    .container {
        width: 75%;
        max-width: 1200px;
    }
}

/* --- Accessibility: Focus Indicators --- */
*:focus-visible {
    outline: 2px solid #27aae1;
    outline-offset: 2px;
}

/* --- Accessibility: Screen Reader Only --- */
.sr-only {
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    white-space: nowrap;
    border: 0;
}

/* --- Accessibility: Button Resets (for <a> → <button> conversion) --- */
/* Only remove default browser button chrome; let .g-btn / .btn / .back-btn handle the rest */
.g-btn,
.other-btn,
.back-btn {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    font-family: inherit;
}

/* --- Base Styles (default.css) --- */

h1 {
    font-size: 30px;
    font-weight: 500;
    line-height: 1.33;
}

h4 {
    font-size: 20px;
    line-height: 28px;
    font-weight: 500;
}

.hide-fully {
    visibility: hidden;
    display: none !important;
}

section {
    width: calc(100% - 40px);
    overflow: hidden;
    transition: opacity .5s ease;
}

/*
@media screen and (min-width: 701px) {
    section {
        left: calc(50vw - 350px);
    }
}*/

section.in {
    opacity: 1;
}

section.fadeout {
    opacity: 0 !important;
}

#step1 {
    z-index: 5;
}

#step2.in {
    z-index: 10;
}

#step3.in {
    z-index: 15;
}

#step4.in {
    z-index: 20;
}

/* Success */
#success-banner {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    color: #fff;
    font-size: 16px;
    text-align: center;
    padding: 18px 15px;
    background-image: linear-gradient(102deg, #47c6fa, #27aae1);
    z-index: 99;
}

/* Stepper */
#stepper {
    max-width: 220px;
    margin: 0 auto;
    text-align: center;
    display: flex;
    justify-content: space-between;
    margin-top: 30px;
    margin-bottom: 10px;
    align-items: center;
}

#stepper .line {
    width: 48px;
    height: 2px;
    background-color: #dddddd;
    border-radius: 100px;
}

#stepper .line.done {
    background-image: linear-gradient(92deg, #47c6fa, #27aae1);
}

@media (max-width: 700px) {

    .btn,
    #start-btn,
    #to-payment,
    #donate-btn {
        padding: 13px;
    }

    #step2 form {
        padding: 10px;
    }
}

/* Button Section */

.g-btn {
    background: #f4f4f4;
    border: 1px solid #dddddd;
    color: #363131;
    font-size: 20px;
    font-weight: bold;
}

@media (min-width: 500px) {
    /*
    .g-btn {
        width: 32%;
    }
    */
}

.buttons-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 10px;
    padding: 20px 0;
}

#show-other {
    grid-column: span 2;
}

#step1 .other-btn,
.other-btn {
    height: 50px;
    line-height: 50px;
    margin: 0;
    border-radius: 5px;
    background-color: #f4f4f4;
    border: 1px solid #dddddd;
    padding: 3px 0;
    font-weight: 300;
    color: #7e7e7e;
    text-align: center;
    cursor: pointer;
}

#step1 .amount-container {
    grid-column: span 2;
    height: 50px;
    margin: 0;
}

#step1 .amount-container .usd {
    margin-bottom: 0;
    line-height: 42px;
    bottom: 0;
    font-size: 2.4rem;
}

#donation-amount {
    margin: 0;
    height: 50px;
    line-height: 50px;
    border: 1px solid #dddddd;
    color: #363131;
    padding: 0 13px 0 35px;
    box-sizing: border-box;
    width: 100%;
}

.processor {
    margin: 20px 0;
}

.processor img {
    width: 14px;
    height: auto;
    display: inline-block;
    vertical-align: middle;
    margin-right: 11px;
    margin-left: 5px;
}

.processor span {
    font-size: 12px;
    line-height: 1.5;
    color: #7e7e7e;
    display: inline-block;
    vertical-align: middle;
}

/* Donor Info */
#step2.donor-step {
    padding-top: 80px !important;
}

#step2.donor-step h4 {
    margin-top: 0;
}

.back-btn {
    font-size: 12.8px;
    color: #e74c3c;
    text-decoration: underline;
    cursor: pointer;
    background: none;
    border: none;
    padding: 0;
}

#donor-form .input {
    position: relative;
}

#donor-form .input input {
    color: #363131;
    height: 43px;
    border: 1px solid #dddddd;
    padding-top: 10px;
    line-height: 0;
}

.input .floating-label {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 15px;
    color: #adacad;
    font-size: 16px;
    transition: all .2s ease-in-out;
    z-index: 0;
    color: #818181;
}

.floating-label.active {
    transition: all .2s ease-in-out;
    top: 25%;
    font-size: 12px;
    z-index: 1001;
}

.floating-label+input {
    background: transparent;
}

#to-payment {
    margin-top: 30px;
}

#address-row {
    display: grid;
    grid-template-columns: 2fr 2fr 1fr;
    gap: 5px;
    align-items: start;
}

/* Show fields */
.show-fields {
    margin-top: 25px;
}

.show-fields small {
    font-size: 14px;
    font-weight: 300;
    line-height: 1.57;
    color: #7e7e7e;
}

.show-fields p {
    margin-top: 5px;
    color: #363131;
}

.radio {
    margin: 0.5rem;
    display: inline-block;
}

#step2 form .radio input[type="radio"] {
    position: absolute;
    opacity: 0;
    height: auto;
    width: auto;
}

.radio input[type="radio"]+.radio-label:before {
    content: '';
    background: #f4f4f4;
    border-radius: 100%;
    border: 1px solid #b4b4b4;
    display: inline-block;
    width: 1.4em;
    height: 1.4em;
    position: relative;
    top: -0.2em;
    margin-right: 1em;
    vertical-align: top;
    cursor: pointer;
    text-align: center;
    transition: all 250ms ease;
}

.radio input[type="radio"]:checked+.radio-label:before {
    background-color: #27aae1;
    background-image: linear-gradient(135deg, #47c6fa, #27aae1);
    box-shadow: inset 0 0 0 4px #f4f4f4;
}

.radio input[type="radio"]:focus+.radio-label:before {
    outline: none;
    border-color: #27aae1;
}

.radio input[type="radio"]:disabled+.radio-label:before {
    box-shadow: inset 0 0 0 4px #f4f4f4;
    border-color: #b4b4b4;
    background: #b4b4b4;
}

.radio input[type="radio"]+.radio-label:empty:before {
    margin-right: 0;
}

/* Sharing */
#step4 {
    padding: 20px;
    position: absolute;
    z-index: 0;
    transition: all .5s ease;
    left: 0;
    top: 0;
    max-width: 660px;
    opacity: 0;
    margin-top: 80px;
}

@media screen and (min-width: 701px) {
    #step4 {
        left: calc(50vw - 350px);
    }
}

#step4.in {
    opacity: 1;
}

body.focus .share-step .thank-you {
    background-color: #fcfcfc;
    border-radius: 10px;
    padding: 20px;
}

.share-step .thank-you h2 {
    font-size: 30px;
    font-weight: 500;
    line-height: 1.33;
    color: #363131;
}

.share-step .thank-you .hero {
    height: 180px;
    background-size: cover;
    background-position: center;
    border-radius: 10px 10px 0 0;
    margin-top: -20px;
    margin-left: -20px;
    margin-right: -20px;
}

@media only screen and (min-width: 600px) {
    .share-step .thank-you .hero {
        height: 300px;
    }
}

.share-step .thank-you hr {
    border-color: rgba(0, 0, 0, 0.1);
}

.share-step .thank-you .custom-message {
    margin: 30px 20px;
    color: #7e7e7e;
}

.share-step .thank-you .share-container {
    margin: 20px 0;
}

.share-step .thank-you .share-container .shares {
    margin-top: 20px;
}

.share-step .thank-you .share-container .shares .share-btn {
    height: 50px;
    border-radius: 4px;
    border: solid 2px #a2a2a2;
    background-color: #fff;
    color: #363131;
    font-size: 16px;
    font-weight: bold;
    line-height: 50px;
    text-align: center;
    display: block;
    cursor: pointer;
    text-decoration: none;
    max-width: 320px;
    margin: 7px auto;
    margin-top: 0;
    margin-bottom: 15px;
}

.share-step .thank-you .share-container .shares .share-btn img {
    width: 20px;
    display: inline;
    margin-right: 12px;
    position: relative;
    top: 5px;
}

.share-step .thank-you .share-container .shares .share-btn .share-text {
    display: inline;
}
/*
.share-step .thank-you .share-container .shares #share-copylink.share-btn {
    background-color: #dddddd;
    border-color: #dddddd;
}
*/
.share-step .thank-you .share-container .shares #share-sms.share-btn {
    background-color: #00a985;
    border-color: #00a985;
    color: #fff;
}

.share-step .thank-you .share-container .shares #copylink {
    margin: 10px 0;
    width: calc(100% - 40px);
    height: 40px;
    border: 0;
    display: inline-block;
    vertical-align: top;
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
    padding: 0;
    padding-left: 10px;
    color: rgba(0, 0, 0, .6);
    border: 1px solid rgba(0, 0, 0, .4);
}

.share-step .thank-you .share-container .shares #share-copy-link {
    cursor: pointer;
    width: 100px;
    margin-left: -100px;
    height: 40px;
    background-color: lightgray;
    display: inline-block;
    vertical-align: top;
    margin-top: 10px;
    line-height: 40px;
    text-align: center;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
    border: 1px solid rgba(0, 0, 0, .4);
}

.share-step .thank-you .share-container .shares #share-copy-link.copied {
    background-color: #3cba54;
    color: #fff;
}

.share-step .thank-you .share-container .shares #share-copy-link .done {
    display: none;
}

.share-step .thank-you .share-container .shares #share-copy-link.copied .done {
    display: inherit;
}

.share-step .thank-you .share-container .shares #share-copy-link.copied .default {
    display: none;
}

/* --- Donation Flow (styles.css) --- */
/* NOTE: .hide-fully omitted here (already defined in Base Styles above with !important) */

@font-face {
  font-family: 'Museo Sans';
  src: url('MuseoSans-300.eot');
  src: url('MuseoSans-300.eot?#iefix') format('embedded-opentype'),
    url('MuseoSans-300.woff') format('woff'),
    url('MuseoSans-300.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'Museo Sans';
  src: url('MuseoSans-500.eot');
  src: url('MuseoSans-500.eot?#iefix') format('embedded-opentype'),
    url('MuseoSans-500.woff') format('woff'),
    url('MuseoSans-500.ttf') format('truetype');
  font-weight: 500;
  font-style: normal;
}

@font-face {
  font-family: 'Museo Sans';
  src: url('MuseoSans-700.eot');
  src: url('MuseoSans-700.eot?#iefix') format('embedded-opentype'),
    url('MuseoSans-700.woff') format('woff'),
    url('MuseoSans-700.ttf') format('truetype');
  font-weight: bold;
  font-style: normal;
}

html {
  font-family: 'Museo Sans', sans-serif;
  font-size: 10px;
  overflow-x: hidden;
  background-color: #f4f4f4;
}

body {
  font-size: 1.6rem;
  line-height: 1.5;
  margin: 0 auto;
  max-width: 700px;
}

h1 {
  font-size: 3.8rem;
  line-height: 1.26;
  font-weight: 700;
}

.btn {
  display: block;
  border-radius: 5px;
  background-image: linear-gradient(111deg, #ff6c5d, #e74c3c);
  color: #fcfcfc;
  font-weight: 500;
  font-size: 1.8rem;
  text-align: center;
  padding: 13px 100px;
  cursor: pointer;
  -webkit-appearance: none;
  border: none;
}

.btn.btn-secondary {
  border: 1px solid;
  background: transparent;
  background-image: none;
  margin-top: 2rem;
}

.btn.disabled {
  opacity: 0.5;
  cursor: default;
}

button.btn {
  width: 100%;
}

/* buttons-container height + clearfix removed — grid layout defined in Button Section above */

.g-btn {
  border-radius: 5px;
  background-color: #f4f4f4;
  padding: 13px 0;
  font-weight: 300;
  color: #7e7e7e;
  text-align: center;
  cursor: pointer;
}

.g-btn.active {
  border: solid 1px #dddddd;
  font-weight: bold;
}

.error {
  color: #e74c3c;
  font-size: 1.2rem;
}

a.subtle-link,
a.subtle-link:hover,
a.subtle-link:visited,
a.subtle-link:active,
a.subtle-link:focus {
  color: inherit !important;
  text-decoration: underline;
}

/* STEPS */
#step1,
#step2,
#step3,
#step4 {
  width: calc(100% - 40px);
  overflow: hidden;
}

@media (max-width: 700px) {

  #step1,
  #step2,
  #step3,
  #step4 {
    padding: 10px !important;
    width: calc(100% - 20px);
  }
}

/* STEP 1 */
#step1 {
  padding: 20px;
  position: relative;
  transition: opacity 0.5s ease;
  z-index: 5;
}

#step1.fadeout {
  opacity: 0;
}

#step1 .top {
  position: relative;
  height: 200px;
  background-image: linear-gradient(110deg, #ff6c5d, #e74c3c);
  border-radius: 10px 10px 0 0;
}

#step1 .middle .logo-placeholder {
  background-color: black;
  width: 100px;
  height: 80px;
}

#step1 .banner {
  margin-left: -20px;
  margin-top: -75px;
  margin-bottom: 20px;
  position: relative;
  max-width: calc(100% + 40px);
  border-radius: 10px 10px 0 0;
}

#step1 .middle,
.manage-subscription .top {
  background-color: #fcfcfc;
  position: relative;
  z-index: 1;
  padding-top: 0;
  border-bottom: 1px solid #dddddd;
  border-radius: 10px 10px 0 0;
  overflow: hidden;
}

#step1 .middle .p20 {
  padding: 20px;
}

#step1 .middle .hero,
#step4 .hero {
  height: 180px;
  background-size: cover;
  background-position: center;
  /* border-radius: 10px 10px 0 0; */
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

@media only screen and (min-width: 600px) {

  #step1 .middle .hero,
  #step4 .middle .hero {
    height: 300px;
  }
}

#step1 .middle .logo {
  margin-left: 20px;
  margin-top: 20px;
  max-width: 200px;
}

#step1 .middle .hero.sm {
  height: 75px;
}

#step1 .middle2 {
  background-color: #fcfcfc;
  position: relative;
  z-index: 1;
  padding: 20px;
}

#step1 .bottom,
#step2 .bottom,
#step3 .bottom,
.manage-subscription .bottom,
.payment-step .bottom,
section .bottom,
.story .bottom,
.event .bottom {
  padding: 20px;
  text-align: center;
}

#step1 .bottom p,
#step2 .bottom p,
#step3 .bottom p,
.manage-subscription .bottom p,
.payment-step .bottom p,
section .bottom p,
.story .bottom,
.event .bottom {
  margin-top: 25px;
  font-size: 1.4rem;
  color: #7e7e7e;
  line-height: 1.57;
}

#step1 .suggested {
  color: #7e7e7e;
  text-align: right;
  width: 100%;
  display: block;
}

.monthly-ask {
  height: auto;
  border-radius: 5px;
  background-color: #f4f4f4;
  margin: 10px 0;
  padding: 10px 13px;
  width: calc(100% - 26px);
}

.monthly-ask::after {
  content: '';
  clear: both;
  display: table;
}

.monthly-ask .left {
  float: left;
  width: 70%;
  font-size: 1.2rem;
  line-height: 1.5;
  color: #7e7e7e;
}

.monthly-ask .left h5 {
  font-size: 18px;
  font-weight: 500;
  line-height: 1.33;
  color: #363131;
  margin-bottom: 5px;
  margin-top: 0;
}

.monthly-ask .right {
  float: right;
  width: 30%;
  text-align: right;
}

.monthly-ask .right .switch {
  display: inline-block;
  height: 34px;
  position: relative;
  width: 60px;
}

.monthly-ask .right .switch input {
  display: none;
}

.monthly-ask .right .slider {
  background-color: #ccc;
  bottom: 0;
  cursor: pointer;
  left: 0;
  position: absolute;
  right: 0;
  top: 0;
  transition: 0.4s;
}

.monthly-ask .right .slider:before {
  background-color: #fff;
  bottom: 4px;
  content: '';
  height: 26px;
  left: 4px;
  position: absolute;
  transition: 0.4s;
  width: 26px;
}

.monthly-ask .right input:checked+.slider {
  background-color: #66bb6a;
}

.monthly-ask .right input:checked+.slider:before {
  transform: translateX(26px);
}

.monthly-ask .right .slider.round {
  border-radius: 34px;
}

.monthly-ask .right .slider.round:before {
  border-radius: 50%;
}

/*end of ma*/

.meter {
  height: 10px;
  position: relative;
  border-radius: 100px;
  background-color: #f4f4f4;
  margin-bottom: 20px;
  /*padding: 10px;
	box-shadow: inset 0 -1px 1px rgba(255,255,255,0.3);*/
}

.meter>span {
  display: block;
  height: 100%;
  border-radius: 100px;
  background-color: #e74c3c;
  background-image: linear-gradient(95deg, #ff6c5d, #e74c3c);
  position: relative;
  overflow: hidden;
  animation: expandWidth 1s linear;
  width: 75%;
  max-width: 100%;
}

.meter>span:nth-of-type(2) {
  position: absolute;
  top: 0;
  opacity: 0.5;
  transition: width 0.5s linear;
}

@keyframes expandWidth {
  0% {
    width: 0;
  }

  50% {
    width: 65%;
  }

  100% {
    width: 75%;
  }
}

#step2 {
  padding: 20px;
  position: absolute;
  z-index: 0;
  transition: all 0.5s ease;
  /* left: 100%; */
  left: 0;
  top: 0;
  max-width: 660px;
  opacity: 0;
}

#step2.in {
  /* left: 0;*/
  z-index: 5;
  opacity: 1;
}

#step2.fadeout {
  opacity: 0;
}

@media screen and (min-width: 701px) {
  #step2 {
    left: calc(50vw - 350px);
  }
}

#step2 form {
  background-color: #fcfcfc;
  border-radius: 10px;
  padding: 20px;
}

#step2 h5 {
  font-weight: normal;
  font-size: 14px;
}

#step2 h5 img {
  position: relative;
  top: 2px;
  margin-right: 8px;
}

#step1 .amount-container {
  position: relative;
}

#step1 .amount-container .usd {
  position: absolute;
  left: 15px;
  top: 0;
  line-height: 50px;
  font-size: 2.4rem;
  font-weight: 300;
  color: #363131;
}

#step2 form input,
#donor-form input {
  border: none;
  border-radius: 5px;
  background-color: #f4f4f4;
  height: 45px;
  line-height: 45px;
  padding-left: 13px;
  font-size: 1.4rem;
  color: #7e7e7e;
  width: calc(100% - 13px);
  margin: 5px 0;
}

#step2 form .big {
  font-size: 3rem;
  line-height: 6rem;
  height: 60px;
  color: #7e7e7e;
  text-align: right;
  margin-top: 20px;
}

#step2 form .tip-jar {
  height: auto;
  border-radius: 5px;
  background-color: #f4f4f4;
  margin: 10px 0;
  padding: 10px 13px;
  width: calc(100% - 26px);
}

#step2 form .tip-jar::after {
  content: '';
  clear: both;
  display: table;
}

#step2 form .tip-jar .left {
  float: left;
  width: 70%;
  font-size: 1.2rem;
  line-height: 1.5;
  color: #7e7e7e;
}

#step2 form .tip-jar .left h5 {
  font-size: 18px;
  font-weight: 500;
  line-height: 1.33;
  color: #363131;
  margin-bottom: 5px;
  margin-top: 0;
}

#step2 form .tip-jar .right {
  float: right;
  width: 30%;
  text-align: right;
}

#step2 form .tip-jar .right .switch {
  display: inline-block;
  height: 34px;
  position: relative;
  width: 60px;
}

#step2 form .tip-jar .right .switch input {
  display: none;
}

#step2 form .tip-jar .right .slider {
  background-color: #ccc;
  bottom: 0;
  cursor: pointer;
  left: 0;
  position: absolute;
  right: 0;
  top: 0;
  transition: 0.4s;
}

#step2 form .tip-jar .right .slider:before {
  background-color: #fff;
  bottom: 4px;
  content: '';
  height: 26px;
  left: 4px;
  position: absolute;
  transition: 0.4s;
  width: 26px;
}

#step2 form .tip-jar .right input:checked+.slider {
  background-color: #66bb6a;
}

#step2 form .tip-jar .right input:checked+.slider:before {
  transform: translateX(26px);
}

#step2 form .tip-jar .right .slider.round {
  border-radius: 34px;
}

#step2 form .tip-jar .right .slider.round:before {
  border-radius: 50%;
}

#step2 form .monthly-disclaimer {
  margin-top: 1.5rem;
  margin-bottom: 1rem;
  color: #7e7e7e;
  display: none;
}

#step2 form .monthly-disclaimer.show {
  display: block;
}

#donation-amount {
  border: none;
  border-radius: 5px;
  background-color: #f4f4f4;
  padding: 0 13px;
  padding-left: 35px;
  width: 100%;
  margin: 0;
  font-size: 3rem;
  line-height: 50px;
  height: 50px;
  color: #7e7e7e;
  text-align: right;
  box-sizing: border-box;
}

#step2 form .state-zip-wrap {}

#step2 form .state-zip-wrap input {
  width: 45%;
  float: left;
}

#step2 form .state-zip-wrap input:nth-of-type(2) {
  margin-left: 1%;
}

#step2 form .state-zip-wrap::after {
  content: '';
  clear: both;
  display: table;
}

#step2 #back-btn {
  font-size: 1.2rem;
  cursor: pointer;
}

#step3 {
  padding: 20px;
  position: absolute;
  z-index: 0;
  transition: all 0.5s ease;
  left: 0;
  top: 0;
  max-width: 660px;
  opacity: 0;
}

#step3.in {
  /*left: 0;*/
  z-index: 8;
  opacity: 1;
}

@media screen and (min-width: 701px) {
  #step3 {
    left: calc(50vw - 350px);
  }
}

#step3 .thank-you {
  background-color: #fcfcfc;
  border-radius: 10px 10px 0 0;
  padding: 20px;
}

#step3 .thank-you hr {
  border-color: rgba(0, 0, 0, 0.1);
}

#step3 .thank-you .share-container {
  margin: 20px 0;
}

#step3 .thank-you .share-container .shares {
  margin-top: 20px;
}

#step3 .thank-you .share-container .shares #copylink {
  margin: 10px 0;
  width: calc(100% - 40px);
  height: 40px;
  border: 0;
  display: inline-block;
  vertical-align: top;
  border-top-left-radius: 5px;
  border-bottom-left-radius: 5px;
  padding: 0;
  padding-left: 10px;
  color: rgba(0, 0, 0, 0.6);
  border: 1px solid rgba(0, 0, 0, 0.4);
}

#step3 .thank-you .share-container .shares #share-copy-link {
  cursor: pointer;
  width: 100px;
  margin-left: -100px;
  height: 40px;
  background-color: lightgray;
  display: inline-block;
  vertical-align: top;
  margin-top: 10px;
  line-height: 40px;
  text-align: center;
  border-top-right-radius: 5px;
  border-bottom-right-radius: 5px;
  border: 1px solid rgba(0, 0, 0, 0.4);
}

#step3 .thank-you .share-container .shares #share-copy-link.copied {
  background-color: #3cba54;
  color: #fff;
}

#step3 .thank-you .share-container .shares #share-copy-link .done {
  display: none;
}

#step3 .thank-you .share-container .shares #share-copy-link.copied .done {
  display: inherit;
}

#step3 .thank-you .share-container .shares #share-copy-link.copied .default {
  display: none;
}

/* Mobile form zooming */
#step2 form input[type='color'],
#step2 form input[type='date'],
#step2 form input[type='datetime'],
#step2 form input[type='datetime-local'],
#step2 form input[type='email'],
#step2 form input[type='month'],
#step2 form input[type='number'],
#step2 form input[type='password'],
#step2 form input[type='search'],
#step2 form input[type='tel'],
#step2 form input[type='text'],
#step2 form input[type='time'],
#step2 form input[type='url'],
#step2 form input[type='week'],
#step2 form select:focus,
#step2 form textarea {
  font-size: 16px;
}

.manage-subscription {
  padding: 20px;
}

.manage-subscription .cancelled {
  display: none;
}

.manage-subscription .cancel-error {
  display: none;
  color: red;
  margin: 10px 0;
}

.manage-subscription .top {
  padding: 20px;
}

/* STRIPE */
.stripe-form .group {
  background: #f4f4f4;
  /*box-shadow: 0 7px 14px 0 rgba(49, 49, 93, 0.1), 0 3px 6px 0 rgba(0, 0, 0, 0.08);*/
  border-radius: 4px;
  margin-top: 20px;
  margin-bottom: 20px;
  border: none;
  height: 50px;
}

.stripe-form label {
  position: relative;
  color: #8898aa;
  font-weight: 300;
  height: 50px;
  line-height: 50px;
  margin-left: 20px;
  display: block;
}

.stripe-form .group label:not(:last-child) {
  border-bottom: 1px solid #f0f5fa;
}

.stripe-form label>span {
  width: 20%;
  text-align: right;
  float: left;
}

.stripe-form .field {
  background: transparent;
  font-weight: 300;
  border: 0;
  color: #31325f;
  outline: none;
  padding-right: 10px;
  padding-left: 10px;
  cursor: text;
  width: 100%;
  height: 40px;
  float: right;
}

.stripe-form .field::-webkit-input-placeholder {
  color: rgba(49, 50, 95, 0.8);
}

.stripe-form .field::-moz-placeholder {
  color: rgba(49, 50, 95, 0.8);
}

.stripe-form .field:-ms-input-placeholder {
  color: rgba(49, 50, 95, 0.8);
}

.stripe-form button {
  float: left;
  display: block;
  background: #666ee8;
  color: white;
  box-shadow: 0 7px 14px 0 rgba(49, 49, 93, 0.1),
    0 3px 6px 0 rgba(0, 0, 0, 0.08);
  border-radius: 4px;
  border: 0;
  margin-top: 20px;
  font-size: 15px;
  font-weight: 400;
  width: 100%;
  height: 40px;
  line-height: 38px;
  outline: none;
}

.stripe-form button:focus {
  background: #555abf;
}

.stripe-form button:active {
  background: #43458b;
}

.stripe-form .outcome {
  float: left;
  width: 100%;
  padding-top: 8px;
  min-height: 24px;
  text-align: center;
}

.stripe-form .success,
.stripe-form .error {
  display: none;
  font-size: 13px;
}

.stripe-form .success.visible,
.stripe-form .error.visible {
  display: inline;
}

.stripe-form .error {
  color: #e4584c;
}

.stripe-form .success {
  color: #666ee8;
}

.stripe-form .success .token {
  font-weight: 500;
  font-size: 13px;
}

#step1 .img-wrapper,
#step2 .img-wrapper,
#step3 .img-wrapper,
#step4 .img-wrapper {
  width: 100%;
  padding-bottom: 45%;
  position: relative;
}

#step1 .img-child,
#step2 .img-child,
#step3 .img-child,
#step4 .img-child {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
}

#donor-form select {
    cursor: pointer;
    padding: 10px;
    font-size: 16px;
    border: 1px solid #dddddd;
    border-radius: 5px;
    background-color: #f4f4f4;
    height: 43px;
    color: #7e7e7e;
    margin: 5px 0;
    width: 100%;
    box-sizing: border-box;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='12' height='8' viewBox='0 0 12 8'%3E%3Cpath fill='%237e7e7e' d='M6 8L0 0h12z'/%3E%3C/svg%3E");
    background-repeat: no-repeat;
    background-position: right 15px center;
    background-size: 10px 6px;
}

.event #donor-form .donor-info select {
    margin-bottom: 8px;
    vertical-align: middle;
}

.ql-align-center {
    text-align: center;
}

.ql-align-right {
    text-align: right;
}

.g-recaptcha > div {
    margin: 10px auto;
}

/* --- Payment Element Loading State --- */
#payment-element {
    min-height: 100px;
    transition: min-height 0.3s ease;
}

#payment-element.loading {
    background: linear-gradient(90deg, #f4f4f4 25%, #e8e8e8 50%, #f4f4f4 75%);
    background-size: 200% 100%;
    animation: shimmer 1.5s infinite;
    border-radius: 5px;
    min-height: 100px;
}

@keyframes shimmer {
    0% { background-position: 200% 0; }
    100% { background-position: -200% 0; }
}

/* --- Payment Step (payment.css) --- */

/* Payment Step */
#step3.payment-step .bg,
#payment-modal .bg {
    background-color: #fcfcfc;
    border-radius: 10px;
    padding: 20px;
    margin-top: 80px;
}

#step3.payment-step .r,
#payment-modal .r {
    display: -ms-flexbox;
    display: flex;
    margin: 0 5px 10px;
}

#step3.payment-step .field,
#payment-modal .field {
    position: relative;
    width: 100%;
    height: 50px;
    background: #f9f8f8;
    border-radius: 5px;
    border: 1px solid #dddddd;
    padding-top: 5px;
}

#step3.payment-step .field.expand {

}

#step3.payment-step .field span.brand,
#payment-modal .field span.brand {
    position: absolute;
    left: 5px;
    top: 5px;
    transform: translateY(50%);
    color: #818181;
}

#step3.payment-step .field.half-width,
#payment-modal .field.half-width {
    width: 50%;
    margin-right: 5px;
}
#step3.payment-step .r .field.half-width:last-of-type,
#payment-modal .r .field.half-width:last-of-type  {
    margin-right: 0;
    margin-left: 5px;
}

#step3.payment-step .field.quarter-width,
#payment-modal .field.quarter-width {
    width: calc(25% - 10px);
}

#step3.payment-step .baseline,
#payment-modal .baseline {
    position: absolute;
    width: 100%;
    height: 1px;
    left: 0;
    bottom: 0;
    background-color: #cfd7df;
    transition: background-color 0.3s cubic-bezier(0.165, 0.84, 0.44, 1);
}

#step3.payment-step .field label,
#payment-modal .field label {
    position: absolute;
    width: 100%;
    left: 0;
    bottom: 0;
    color: #818181;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    transform-origin: 0 50%;
    cursor: text;
    pointer-events: none;
    transition-property: color, transform;
    transition-duration: 0.3s;
    transition-timing-function: cubic-bezier(0.165, 0.84, 0.44, 1);
}

#step3.payment-step .field label[for="card-number"],
#payment-modal .field label[for="card-number"] {
    left: 30px;
}

#step3.payment-step .input,
#payment-modal #payment-form .input {
    position: absolute;
    width: 90%;
    left: 5%;
    bottom: 0;
    color: #32325d;
    background-color: transparent;
}

#step3.payment-step #card-number.input,
#payment-modal #card-number.input {
    left: 50px;
}

#step3.payment-step .input::-webkit-input-placeholder,
#payment-modal .input::-webkit-input-placeholder {
    color: transparent;
    transition: color 0.3s cubic-bezier(0.165, 0.84, 0.44, 1);
}

#step3.payment-step .input::-moz-placeholder,
#payment-modal .input::-moz-placeholder {
    color: transparent;
    transition: color 0.3s cubic-bezier(0.165, 0.84, 0.44, 1);
}

#step3.payment-step .input:-ms-input-placeholder,
#payment-modal .input:-ms-input-placeholder {
    color: transparent;
    transition: color 0.3s cubic-bezier(0.165, 0.84, 0.44, 1);
}

#step3.payment-step .input.StripeElement,
#payment-modal .input.StripeElement {
    opacity: 0;
    transition: opacity 0.3s cubic-bezier(0.165, 0.84, 0.44, 1);
    will-change: opacity;
}

#step3.payment-step .input.focused,
#step3.payment-step .input:not(.empty),
#payment-modal .input.focused,
#payment-modal .input:not(.empty) {
    opacity: 1;
}

#step3.payment-step .input.focused::-webkit-input-placeholder,
#step3.payment-step .input:not(.empty)::-webkit-input-placeholder,
#payment-modal .input.focused::-webkit-input-placeholder,
#payment-modal .input:not(.empty)::-webkit-input-placeholder {
    color: #cfd7df;
}

#step3.payment-step .input.focused::-moz-placeholder,
#step3.payment-step .input:not(.empty)::-moz-placeholder,
#payment-modal .input.focused::-moz-placeholder,
#payment-modal .input.focused::-moz-placeholder {
    color: #cfd7df;
}

#step3.payment-step .input.focused:-ms-input-placeholder,
#step3.payment-step .input:not(.empty):-ms-input-placeholder,
#payment-modal .input.focused:-ms-input-placeholder,
#payment-modal .input.focused:-ms-input-placeholder {
    color: #cfd7df;
}

#step3.payment-step .input.focused+label,
#step3.payment-step .input:not(.empty)+label,
#payment-modal .input.focused+label,
#payment-modal .input:not(.empty)+label {
    color: #aab7c4;
    transform: scale(0.85) translateY(-25px);
    cursor: default;
    font-size: 12px;
}

#step3.payment-step .input.focused+label,
#payment-modal .input.focused+label {
    color: #24b47e;
}

#step3.payment-step .input.invalid+label,
#payment-modal .input.invalid+label {
    color: #ffa27b;
}

#step3.payment-step .input.focused+label+.baseline,
#payment-modal .input.focused+label+.baseline {
    background-color: #24b47e;
}

#step3.payment-step .input.focused.invalid+label+.baseline,
#payment-modal .input.focused.invalid+label+.baseline {
    background-color: #e25950;
}

#step3.payment-step .field input,
#payment-modal .field input {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    outline: none;
    border-style: none;
}

#step3.payment-step .field input:-webkit-autofill,
#payment-modal .field input:-webkit-autofill {
    -webkit-text-fill-color: #e39f48;
    transition: background-color 100000000s;
    -webkit-animation: 1ms void-animation-out;
}

#step3.payment-step .StripeElement--webkit-autofill,
#payment-modal .StripeElement--webkit-autofill {
    background: transparent !important;
}

#step3.payment-step .field input,
#payment-modal .field input {
    -webkit-animation: 1ms void-animation-out;
}

#step3.payment-step .error svg,
#payment-modal .error svg {
    margin-top: 0 !important;
}

#step3.payment-step .error svg .base,
#payment-modal .error svg .base {
    fill: #e25950;
}

#step3.payment-step .error svg .glyph,
#payment-modal .error svg .glyph {
    fill: #fff;
}

#step3.payment-step .error .message,
#payment-modal .error .message {
    color: #e25950;
}

#step3.payment-step .success .icon .border,
#payment-modal .success .icon .border {
    stroke: #abe9d2;
}

#step3.payment-step .success .icon .checkmark,
#payment-modal .success .icon .checkmark {
    stroke: #24b47e;
}

#step3.payment-step .success .title,
#payment-modal .success .title {
    color: #32325d;
    font-size: 16px !important;
}

#step3.payment-step .success .message,
#payment-modal .success .message {
    color: #8898aa;
    font-size: 13px !important;
}

#step3.payment-step .success .reset path,
#payment-modal .success .reset path {
    fill: #24b47e;
}

#step3.payment-step .tip-jar,
#payment-modal .tip-jar {
    height: auto;
    border-radius: 5px;
    background-color: #f4f4f4;
    margin: 10px 0;
    padding: 10px 13px;
    width: calc(100% - 26px);
}

#step3.payment-step .tip-jar::after
#payment-modal .tip-jar::after {
    content: "";
    clear: both;
    display: table;
}

#step3.payment-step .tip-jar .left,
#payment-modal .tip-jar .left {
    float: left;
    width: 70%;
    font-size: 1.2rem;
    line-height: 1.5;
    color: #7e7e7e;
}

#step3.payment-step .tip-jar .left h5,
#payment-modal .tip-jar .left h5 {
    font-size: 18px;
    font-weight: 500;
    line-height: 1.33;
    color: #363131;
    margin-bottom: 5px;
    margin-top: 0;
}

#step3.payment-step .tip-jar .right,
#payment-modal .tip-jar .right {
    float: right;
    width: 30%;
    text-align: right;
}

#step3.payment-step .tip-jar .right .switch,
#payment-modal .tip-jar .right .switch {
    display: inline-block;
    height: 34px;
    position: relative;
    width: 60px;
}

#step3.payment-step .tip-jar .right .switch input,
#payment-modal .tip-jar .right .switch input {
    display: none;
}

#step3.payment-step .tip-jar .right .slider,
#payment-modal .tip-jar .right .slider {
    background-color: #ccc;
    bottom: 0;
    cursor: pointer;
    left: 0;
    position: absolute;
    right: 0;
    top: 0;
    transition: .4s;
}

#step3.payment-step .tip-jar .right .slider:before,
#payment-modal .tip-jar .right .slider:before {
    background-color: #fff;
    bottom: 4px;
    content: "";
    height: 26px;
    left: 4px;
    position: absolute;
    transition: .4s;
    width: 26px;
}

#step3.payment-step .tip-jar .right input:checked+.slider,
#payment-modal .tip-jar .right input:checked+.slider {
    background-color: #66bb6a;
}

#step3.payment-step .tip-jar .right input:checked+.slider:before,
#payment-modal .tip-jar .right input:checked+.slider:before {
    transform: translateX(26px);
}

#step3.payment-step .tip-jar .right .slider.round,
#payment-modal .tip-jar .right .slider.round {
    border-radius: 34px;
}

#step3.payment-step .tip-jar .right .slider.round:before,
#payment-modal .tip-jar .right .slider.round:before {
    border-radius: 50%;
}

#step3.payment-step .monthly-disclaimer,
#payment-modal .monthly-disclaimer {
    margin-top: 1.5rem;
    margin-bottom: 1rem;
    color: #7e7e7e;
    display: none;
}

#step3.payment-step .monthly-disclaimer.show,
#payment-modal .monthly-disclaimer.show {
    display: block;
}

/* --- Stripe Legacy (stripe.css) --- */

.payment-information {
    background-color: #fff;
}

.payment-information * {
    font-family: 'Museo Sans', sans-serif;
    font-size: 16px;
    font-weight: 500;
}

.payment-information .row {
    display: -ms-flexbox;
    display: flex;
    margin: 0 5px 10px;
}

.payment-information .field {
    position: relative;
    width: 100%;
    height: 50px;
    margin: 0 10px;
}

.payment-information .field.half-width {
    width: 50%;
}

.payment-information .field.quarter-width {
    width: calc(25% - 10px);
}

.payment-information .baseline {
    position: absolute;
    width: 100%;
    height: 1px;
    left: 0;
    bottom: 0;
    background-color: #cfd7df;
    transition: background-color 0.3s cubic-bezier(0.165, 0.84, 0.44, 1);
}

.payment-information label {
    position: absolute;
    width: 100%;
    left: 0;
    bottom: 8px;
    color: #cfd7df;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    transform-origin: 0 50%;
    cursor: text;
    transition-property: color, transform;
    transition-duration: 0.3s;
    transition-timing-function: cubic-bezier(0.165, 0.84, 0.44, 1);
}

.payment-information .input {
    position: absolute;
    width: 100%;
    left: 0;
    bottom: 0;
    padding-bottom: 7px;
    color: #32325d;
    background-color: transparent;
}

.payment-information .input::-webkit-input-placeholder {
    color: transparent;
    transition: color 0.3s cubic-bezier(0.165, 0.84, 0.44, 1);
}

.payment-information .input::-moz-placeholder {
    color: transparent;
    transition: color 0.3s cubic-bezier(0.165, 0.84, 0.44, 1);
}

.payment-information .input:-ms-input-placeholder {
    color: transparent;
    transition: color 0.3s cubic-bezier(0.165, 0.84, 0.44, 1);
}

.payment-information .input.StripeElement {
    opacity: 0;
    transition: opacity 0.3s cubic-bezier(0.165, 0.84, 0.44, 1);
    will-change: opacity;
}

.payment-information .input.focused,
.payment-information .input:not(.empty) {
    opacity: 1;
}

.payment-information .input.focused::-webkit-input-placeholder,
.payment-information .input:not(.empty)::-webkit-input-placeholder {
    color: #cfd7df;
}

.payment-information .input.focused::-moz-placeholder,
.payment-information .input:not(.empty)::-moz-placeholder {
    color: #cfd7df;
}

.payment-information .input.focused:-ms-input-placeholder,
.payment-information .input:not(.empty):-ms-input-placeholder {
    color: #cfd7df;
}

.payment-information .input.focused+label,
.payment-information .input:not(.empty)+label {
    color: #aab7c4;
    transform: scale(0.85) translateY(-25px);
    cursor: default;
}

.payment-information .input.focused+label {
    color: #24b47e;
}

.payment-information .input.invalid+label {
    color: #ffa27b;
}

.payment-information .input.focused+label+.baseline {
    background-color: #24b47e;
}

.payment-information .input.focused.invalid+label+.baseline {
    background-color: #e25950;
}

.payment-information input,
.payment-information button {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    outline: none;
    border-style: none;
}

.payment-information input:-webkit-autofill {
    -webkit-text-fill-color: #e39f48;
    transition: background-color 100000000s;
    -webkit-animation: 1ms void-animation-out;
}

.payment-information .StripeElement--webkit-autofill {
    background: transparent !important;
}

.payment-information input,
.payment-information button {
    -webkit-animation: 1ms void-animation-out;
}

.payment-information button {
    display: block;
    width: calc(100% - 30px);
    height: 40px;
    margin: 40px 15px 0;
    background-color: #24b47e;
    border-radius: 4px;
    color: #fff;
    text-transform: uppercase;
    font-weight: 600;
    cursor: pointer;
}

.payment-information .error svg {
    margin-top: 0 !important;
}

.payment-information .error svg .base {
    fill: #e25950;
}

.payment-information .error svg .glyph {
    fill: #fff;
}

.payment-information .error .message {
    color: #e25950;
}

.payment-information .success .icon .border {
    stroke: #abe9d2;
}

.payment-information .success .icon .checkmark {
    stroke: #24b47e;
}

.payment-information .success .title {
    color: #32325d;
    font-size: 16px !important;
}

.payment-information .success .message {
    color: #8898aa;
    font-size: 13px !important;
}

.payment-information .success .reset path {
    fill: #24b47e;
}
